/// <reference types="node" />
import { Callback } from "aws-lambda";
import { IRawCallback } from "lambda-framework";
/**
 * The RAW callback implementation for AWS Lambda.
 */
export default class AWSRawCallback implements IRawCallback {
    private callback;
    constructor(callback: Callback);
    sendError(error: Error): void;
    send(statusCode: number, headers: {
        [name: string]: string | string[];
    }, body: object | Buffer): void;
    finalize(err?: Error): void;
}
