import { ITemplate, ITemplateLoader } from "lambda-framework";
/**
 * Loads the template from AWS S3 bucket.
 */
export default class S3TemplateLoader implements ITemplateLoader {
    private _s3;
    private _bucket;
    private _cache;
    constructor(bucket: string, ttl: number);
    load(fileName: string, callback: (err: Error, template: ITemplate) => void): void;
    private getFromCache;
    private setToCache;
}
